Bug 480648 - Cannot add new Satellite Admin from user panel
Cannot add new Satellite Admin from user panel
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
520
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Partha Aji
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 12:15 EST by Akash Chandrashekar
Modified: 2013-01-10 19:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Satellite 5.2 x86_64 Adding of users --specific to adding of Satellite Admin
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 12:25:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akash Chandrashekar 2009-01-19 12:15:35 EST
Description of problem:

Satellite creates a deafult new user that is BOTH Organizational admin AND Satellite Admin. This user cannot create a new Satellite Admin (greyed out). 

And hence there is no way of creating a new Satellite Administrator 

Version-Release number of selected component (if applicable):

5.2 X86_64

How reproducible:

100%

Steps to Reproduce:
1. Go to users panel 
2. Create new user 
3. Attempt to change priveleges of user to Satellite admin --which cannot be done
  
Actual results:

greyed out choice box for Satellite Admin

Expected results:

Ability to successfully add Satellite Admin 

Additional info:
Comment 1 Mike McCune 2009-01-19 12:45:17 EST
You actually can create new Satellite administrators, you just need to go to :

https://<yoursat.redhat.com>/rhn/admin/multiorg/Users.do

and manage it on this page.

but I think we should modify the user details page to support adding/removing sat admin from individual users.
Comment 2 Akash Chandrashekar 2009-01-29 00:11:16 EST
Hello, I told that in addition that the Satellite Tools tab is the place to go to do this. Is that correct?
Comment 3 Clifford Perry 2009-01-29 12:25:49 EST
Comment #2 - yes - under Satellite Tools. 

The granting of Satellite Admin is a Satellite Administrative task, which is why it is kept within one central location and not split out under the 'users' tab of the Satellite - which is mainly used by Org Admins to manage user roles within their Org. 

Cliff.
Comment 4 Akash Chandrashekar 2009-01-29 13:12:29 EST
Good enough for me as it makes sense as to HOW to get it done - which was my primary goal. 

Is there a way we can get two things accounted for: 

1) Documentation that clearly explains (and I think there is a bit of a reference, but perhaps geared to 5.0 satellite? ) as what the primary difference is between the roles, and what their capabilities are. 

2) The addition of a section that indicates how to add such a user trough Sat-tools as explained above by Clifford Perry.

Note You need to log in before you can comment on or make changes to this bug.